org.icefaces.ace.component.contextmenu

## Enum ContextMenuBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<ContextMenuBase.PropertyKeys>
  - - org.icefaces.ace.component.contextmenu.ContextMenuBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContextMenuBase.PropertyKeys>
  Enclosing class:
    ContextMenuBase

      protected static enum ContextMenuBase.PropertyKeys
      extends java.lang.Enum<ContextMenuBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `direction`
    `effect`
    `effectDuration`
    `fetch`
    `forceMenuUpdate`
    `forceUpdateCounter`
    `forDelegate`
    `forValue`
    `model`
    `store`
    `style`
    `styleClass`
    `submenuLabels`
    `widgetVar`
    `zindex`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static ContextMenuBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContextMenuBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### direction

          public static final ContextMenuBase.PropertyKeys direction

    - #### effect

          public static final ContextMenuBase.PropertyKeys effect

    - #### effectDuration

          public static final ContextMenuBase.PropertyKeys effectDuration

    - #### fetch

          public static final ContextMenuBase.PropertyKeys fetch

    - #### forValue

          public static final ContextMenuBase.PropertyKeys forValue

    - #### forDelegate

          public static final ContextMenuBase.PropertyKeys forDelegate

    - #### forceMenuUpdate

          public static final ContextMenuBase.PropertyKeys forceMenuUpdate

    - #### model

          public static final ContextMenuBase.PropertyKeys model

    - #### store

          public static final ContextMenuBase.PropertyKeys store

    - #### style

          public static final ContextMenuBase.PropertyKeys style

    - #### styleClass

          public static final ContextMenuBase.PropertyKeys styleClass

    - #### widgetVar

          public static final ContextMenuBase.PropertyKeys widgetVar

    - #### zindex

          public static final ContextMenuBase.PropertyKeys zindex

    - #### forceUpdateCounter

          public static final ContextMenuBase.PropertyKeys forceUpdateCounter

    - #### submenuLabels

          public static final ContextMenuBase.PropertyKeys submenuLabels

  - ### Method Detail

    - #### values

          public static ContextMenuBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContextMenuBase.PropertyKeys c : ContextMenuBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContextMenuBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ContextMenuBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.